import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { ApiService } from './api.service';
import { User } from './user';
import { UserLogin } from './user-login';


@Injectable({
  providedIn: 'root'
})
export class LoginService {

  user: User;

  constructor(private apiService: ApiService, private router: Router) {
    this.user = {
      id: 0,
      userType: 0,
      username: '',
      password: ''
    };
  }

  validateUser(login: string, password: string): User {

    let userlogin: UserLogin = {
      loginUser: login,
      loginPassword: password,
    }

    this.apiService.validateUser(userlogin)
      .subscribe(user => this.user = user)

    return this.user;

  }



}
