import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { LoginService } from '../login.service';
import { User } from '../user';

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {

  username: string;
  password: string;
  user: User;

  constructor(private router: Router, private loginService: LoginService) { }

  ngOnInit() {
    this.user = this.loginService.user;
  }

  async login() {

    this.username = (<HTMLInputElement>document.getElementById("username")).value;
    this.password = (<HTMLInputElement>document.getElementById("password")).value;
    this.user = await this.loginService.validateUser(this.username, this.password);
    console.log(this.user.username);

  }

}
